# API · List payment batches

> List payment batches: POST /api/v1/collect/get/massive.

- kind: api-operation
- status: stable
- api_version: v1
- last_verified: 2026-10-20
- url: https://tilopay.com/en/developers/api/cobros-tarjetas-guardadas/get-massive

```http
POST /api/v1/collect/get/massive
```

## What it does [#que-hace]

List payment batches.

## Authentication [#autenticacion]

Host: `https://app.tilopay.com`. Requires the API bearer token in `Authorization: Bearer <token>` and the integration key in the body (`key`).

[Get the API token](/en/developers/api/autenticacion/token-api).

## Parameters [#parametros]

<Param id="get-massive-parametro-key" name="key" type="string" required>
Integration key.
</Param>

## Request example [#ejemplo-request]

`<api_key>` is the placeholder for your integration key.

```json
{
  "key": "<api_key>"
}
```

## Response [#respuesta]

Use code to query a batch detail.

<Param id="get-massive-respuesta-status" name="status" type="unknown">
`status`.
</Param>

<Param id="get-massive-respuesta-errors" name="errors" type="unknown">
`errors`.
</Param>

<Param id="get-massive-respuesta-massives" name="massives" type="array">
`massives`.
</Param>

```json
{
  "status": 200,
  "errors": "",
  "massives": [
    {
      "id": 1,
      "code": "R3VhKzhMNU1uaGg1ZjZRVGw4UGh0dz09",
      "created_at": "2024-05-15T04:36:58.000000Z"
    },
    {
      "id": 3,
      "code": "UnBSdXN0bnZSc0owVXdvU1haVisxZz09",
      "created_at": "2024-05-15T04:56:59.000000Z"
    }
  ]
}
```

```schema
{
  "type": "object",
  "properties": {
    "status": {
      "type": "integer"
    },
    "errors": {
      "type": "string"
    },
    "massives": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer"
          },
          "code": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        }
      }
    }
  }
}
```
